[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# wifsignaled

Check whether the process was exited by a signal.

## Declaration

Source position: bunxovlh.inc line 96

`function wifsignaled(`
`Status: cint`
`):Boolean;`

## Description

WIFSIGNALED returns True if Status indicates that the process exited because it received a signal.

## See also

FpWaitPID |  | Wait for a process to terminate
WTERMSIG |  | Return the signal that caused a process to exit.
WSTOPSIG |  | Return the exit code from the process.
WIFEXITED |  | Check whether the process exited normally
WEXITSTATUS |  | Extract the exit status from the fpWaitPID result.